Summary:	High productivity build system
Summary(pl.UTF-8):	System budowania o dużej produktywności
Name:		meson
Version:	0.63.1
Release:	1
License:	Apache v2.0
Group:		Development/Tools
#Source0Download: https://github.com/mesonbuild/meson/releases/
Source0:	https://github.com/mesonbuild/meson/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	078e59d11a72b74c3bd78cb8205e9ed7
Patch0:		%{name}-gtkdocdir.patch
URL:		https://mesonbuild.com/
BuildRequires:	ninja >= 1.8.2
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python3-devel-tools >= 1:3.6
Requires:	python3-libs >= 1:3.6
Requires:	python3-modules >= 1:3.6
Requires:	python3-setuptools
Conflicts:	ninja < 1.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meson is a build system designed to optimize programmer productivity.
It aims to do this by providing simple, out-of-the-box support for
modern software development tools and practices, such as unit tests,
coverage reports, Valgrind, CCache and the like.

%description -l pl.UTF-8
Meson to system budowania zaprojektowany z myślą o optymalizacji
produktywności programisty. Celem jest dostarczenie prostej, od razu
działającej obsługi nowoczesnych narzędzi i praktyk programistycznych,
takich jak testy jednostkowe, raporty pokrycia, Valgrind, CCache itp.

%package polkit
Summary:	PolKit integration - handle projects installation via Meson
Summary(pl.UTF-8):	Integracja z PolKitem - obsługa instalowania projektów przy użyciu Mesona
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	polkit

%description polkit
PolKit integration - handle projects installation via Meson.

%description polkit -l pl.UTF-8
Integracja z PolKitem - obsługa instalowania projektów przy użyciu
Mesona.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' \
	meson.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/meson
%{_mandir}/man1/meson.1*
%{py3_sitescriptdir}/meson-%{version}-py*.egg-info
%{py3_sitescriptdir}/mesonbuild

%files polkit
%defattr(644,root,root,755)
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy
%changelog
* Wed Feb 08 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/meson.git;a=log;h=auto/th/meson-0.63.1-1

* Wed Aug 31 2022 Jakub Bogusz <qboosh@pld-linux.org> c2d30dd
- updated to 0.63.1

* Sun Jun 12 2022 Jan Palus <atler@pld-linux.org> 3a78a78
- up to 0.62.2

* Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> 43180af
- up to 0.61.4

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1d9fe29
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 97167ca
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 546c8d9
- rebuild with python 3.10

* Thu Mar 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 0695d51
- updated to 0.61.2
- updated gtkdocdir patch

* Thu Dec 23 2021 Jan Palus <atler@pld-linux.org> 3d8b94f
- up to 0.60.3

* Thu Sep 30 2021 Jakub Bogusz <qboosh@pld-linux.org> d5bcbf0
- updated to 0.59.2 (fixes gcr build)

* Tue Jul 20 2021 Jan Palus <atler@pld-linux.org> dccbdbc
- up to 0.59.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 72f3f85
- release 2 (by relup.sh)

* Fri Feb 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 023f77b
- updated to 0.57.1
- noarch

* Wed Feb 03 2021 Jan Palus <atler@pld-linux.org> 1d7933d
- attempt to fix cmake modules detection on x32; rel 2

* Thu Jan 14 2021 Jan Palus <atler@pld-linux.org> 5077bbb
- up to 0.56.2

* Tue Dec 08 2020 Jakub Bogusz <qboosh@pld-linux.org> ab6e9e1
- updated to 0.55.3

* Fri Apr 10 2020 Jakub Bogusz <qboosh@pld-linux.org> d8e2c4a
- updated to 0.54.0

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> bfc5e7a
- requires python >= 3.5.2

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> f5fe648
- updated to 0.53.2

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d1bdd6
- up to 0.53.1

* Fri Dec 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 5fb2412
- adjust shebang in one more file; release 2

